Export Workflow Version
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/integrationdestinations/workflows/{id}/export \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.m3ter.com/organizations/{orgId}/integrationdestinations/workflows/{id}/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/integrationdestinations/workflows/{id}/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"code": "<string>",
"description": "<string>",
"originalOrgId": "<string>",
"version": 123,
"versionDescription": "<string>",
"functions": [
{
"functionId": "<string>",
"title": "<string>",
"description": "<string>",
"className": "<string>",
"parameters": {},
"exits": {
"TRUE": "<string>",
"FALSE": "<string>",
"VALID": "<string>",
"INVALID": "<string>",
"NEXT": "<string>",
"TERMINATE": "<string>",
"ERROR": "<string>"
}
}
],
"globalParameters": [
{
"type": "<string>",
"name": "<string>",
"constraints": {}
}
],
"trigger": {
"enabled": true,
"firstFunction": "<string>"
},
"transformations": [
{
"orgId": "<string>",
"transformationId": "<string>",
"name": "<string>",
"code": "<string>",
"description": "<string>",
"sourceSystem": "<string>",
"destinationSystem": "<string>",
"sourceTable": "<string>",
"destinationTable": "<string>",
"transformations": [
{
"destinationField": "<string>"
}
]
}
],
"credentials": [
{
"credentialsId": "<string>",
"name": "<string>"
}
],
"webhooks": [
{
"webhookDestinationId": "<string>",
"webhookUrl": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}Export Workflow Version
Export the specified version of the workflow for the UUID.
GET
/
organizations
/
{orgId}
/
integrationdestinations
/
workflows
/
{id}
/
export
Export Workflow Version
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Query Parameters
The version of the workflow to export. If no version is specified the latest version is used
Response
ExportWorkflowVersion 200 response
Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum array length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I